<?php
namespace Claromentis\Core\Archive;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array();






interface ArchiveAdapter
{
    
    
    
    
    
    
    
    
    
    public function UnpackNoFolders($archive_file_path);
    
    
    
    
    
    
    
    
    
    
    public function UnpackWithFolders($archive_file_path);
    
    
    
    
    public function CreateArchive($files_list);
    
    
    
    
    
    
    public function ListContents($archive_file_path);
}